import request from '@/utils/request'




// 新增网关设备
export function addNetDev(data) {
    return request({
        url: '/energy-boot/netDev/add',
        method: 'post',
        data: data
    })
}


// 获取网关设备集合
export function listNetDev(data) {
    return request({
        url: '/energy-boot/netDev/list',
        method: 'post',
        data: data
    })
}


// 删除网关设备
export function delNetDev(ids) {
    return request({
        url: '/energy-boot/netDev/delete',
        method: 'post',
        data: ids
    })
}

// 修改网关设备
export function updateNetDev(data) {
    return request({
        url: '/energy-boot/netDev/update',
        method: 'post',
        data: data
    })
}

//获取详细信息
export function getNetDevInfo(data) {
    return request({
        url: '/energy-boot/netDev/getNetDevInfo',
        method: 'get',
        params: { id: data }
    })
}